Bug 1027183 - Consecutive Remove and Install of an application fails [NEEDINFO]
Consecutive Remove and Install of an application fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 05:40 EST by Michael Schwendt
Modified: 2014-09-20 09:51 EDT (History)
5 users (show)

See Also:
Fixed In Version: gnome-software-3.13.92-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-20 09:51:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
awilliam: needinfo? (rhughes)


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-11-06 05:40:29 EST
Description of problem: Trying to "Install" an application that has just been "Remove"d fails.


Version-Release number of selected component (if applicable):
$ rpm -q gnome-software
gnome-software-3.10.3-1.fc20.x86_64


How reproducible:
Reproducible.

Steps to Reproduce:
1. yum -y install audacious
2. run gnome-software
3. Look up "Audio > Players > Audacious".
4. click "Remove", enter root password, let it continue
5. click "Install".

Actual results:
Clicking the "Install" button returns quickly. The application does not get 
installed. On the terminal, there is a warning:

(gnome-software:6685): Gs-WARNING **: failed to complete gs_plugin_app_install: The packages are already all installed

Expected results:
It should be able to install again the removed application again.
After restarting gnome-software, "Install" works again for the same application.
Comment 1 Jon Stanley 2014-08-07 09:49:41 EDT
Confirmed in gnome-software-3.13.4-2.fc21.x86_64

(org.gnome.Software:2116): Gs-DEBUG: remove xchat
(org.gnome.Software:2116): Gs-DEBUG: run 0x7fd0bc00eb20~GsPlugin::epiphany(gs_plugin_app_remove)
(org.gnome.Software:2116): Gs-DEBUG: run 0x7fd0bc00eb20~GsPlugin::packagekit(gs_plugin_app_remove)
(org.gnome.Software:2116): PackageKit-DEBUG: adding state 0x26f7ef0
(org.gnome.Software:2116): PackageKit-DEBUG: role now remove-packages
(org.gnome.Software:2116): Gs-DEBUG: emitting waiting(<general>)
(org.gnome.Software:2116): PackageKit-DEBUG: emit transaction-list-changed
(org.gnome.Software:2116): Gs-DEBUG: run 0x7fd0bc00eb20~packagekit-refine::transaction
(org.gnome.Software:2116): Gs-DEBUG: emitting setup(<general>)
(org.gnome.Software:2116): Gs-DEBUG: emitting querying(<general>)
(org.gnome.Software:2116): Gs-DEBUG: emitting setup(<general>)
(org.gnome.Software:2116): Gs-DEBUG: emitting querying(<general>)
(org.gnome.Software:2116): Gs-DEBUG: emitting removing(<general>)
(org.gnome.Software:2116): Gs-DEBUG: emitting querying(<general>)
(org.gnome.Software:2116): PackageKit-DEBUG: remove state 0x26f7ef0
(org.gnome.Software:2116): PackageKit-DEBUG: emit transaction-list-changed
(org.gnome.Software:2116): Gs-DEBUG: emitting finished(<general>)
(org.gnome.Software:2116): PackageKit-DEBUG: emit updates-changed
(org.gnome.Software:2116): Gs-DEBUG: run 0x7fd0bc00d770~GsPlugin::epiphany(gs_plugin_app_install)
(org.gnome.Software:2116): Gs-DEBUG: run 0x7fd0bc00d770~GsPlugin::packagekit(gs_plugin_app_install)
(org.gnome.Software:2116): PackageKit-DEBUG: adding state 0x7fd0b1db20b0
(org.gnome.Software:2116): PackageKit-DEBUG: role now install-packages

(org.gnome.Software:2116): Gs-WARNING **: Not already a started task for 0x7fd0bc00d770~packagekit-refine::transaction
(org.gnome.Software:2116): PackageKit-DEBUG: remove state 0x7fd0b1db20b0

(org.gnome.Software:2116): Gs-WARNING **: failed to install xchat: The package id's '' are not valid
(org.gnome.Software:2116): Gs-DEBUG: emitting waiting(<general>)
(org.gnome.Software:2116): Gs-DEBUG: emitting finished(<general>)
(org.gnome.Software:2116): PackageKit-DEBUG: notify::connected
Comment 2 Adam Williamson 2014-08-07 11:29:01 EDT
This is likely another case of https://bugzilla.gnome.org/show_bug.cgi?id=734437 , I believe. hughsie, can you confirm? if so, please just close as UPSTREAM. thanks!
Comment 3 Kalev Lember 2014-09-20 09:51:36 EDT
Fixed in 3.13.92.

Note You need to log in before you can comment on or make changes to this bug.